> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Send Offline Livechat Message > Send the offline message when no agent is available to attend the omnichannel conversation. ## OpenAPI ````json POST /api/v1/livechat/offline.message { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/offline.message": { "parameters": [], "post": { "summary": "Send Offline Livechat Message", "operationId": "post-api-v1-livechat-offline.message", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "message": "Livechat offline message sent", "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'name' [invalid-params]", "errorType": "invalid-params" } } } } } } }, "description": "Send the offline message when no agent is available to attend the omnichannel conversation.", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "name": { "type": "string", "description": "Message name." }, "email": { "type": "string", "description": "The visitor email." }, "message": { "type": "string", "description": "Message text." }, "department": { "type": "string", "description": "The department name." }, "host": { "type": "string", "description": "The username of the agent." } }, "required": [ "name", "email", "message", "department", "host" ] }, "examples": { "Example 1": { "value": { "name": "Livechat Visitor", "email": "visitor@rocket.chat", "message": "I need help", "department": "Support", "host": "null" } } } } } }, "tags": [ "Livechat Messages" ] } } } } ````